Documentation Index
Fetch the complete documentation index at: https://ileolami.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Welcome to version 3 of The Movie Database (TMDB) API.
This is where you will find the definitive list of currently available methods for our movie, TV, actor, and image API.
If you need help or support, please head over to our API support forum.
API Base URL
The base URL for this API is :
https://api.themoviedb.org
1. Select your preferred language:
curl --request GET \
--url https://api.themoviedb.org/3/authentication \
--header 'Authorization: Bearer {ACCESS_TOKEN}' \
--header 'accept: application/json'
const url = 'https://api.themoviedb.org/3/authentication';
const options = {
method: 'GET',
headers: {
accept: 'application/json',
Authorization: 'Bearer {ACCESS_TOKEN}'
}
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));
require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/authentication")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = 'application/json'
request["Authorization"] = 'Bearer {ACCESS_TOKEN}'
response = http.request(request)
puts response.read_body
<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://api.themoviedb.org/3/authentication', [
'headers' => [
'accept' => 'application/json',
'Authorization' => 'Bearer {ACCESS_TOKEN}'
],
]);
echo $response->getBody();
import requests
url = "https://api.themoviedb.org/3/authentication"
headers = {
"accept": "application/json",
"Authorization": "Bearer {ACCESS_TOKEN}"
}
response = requests.get(url, headers=headers)
print(response.text)
OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://api.themoviedb.org/3/authentication")
.get()
.addHeader("accept", "application/json")
.addHeader("Authorization", "Bearer {ACCESS_TOKEN}")
.build();
Response response = client.newCall(request).execute();
using RestSharp;
var options = new RestClientOptions("https://api.themoviedb.org/3/authentication");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("accept", "application/json");
request.AddHeader("Authorization", "Bearer {ACCESS_TOKEN}");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
2. Credentials
3. Try It!